/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): .

====================================================================*/

package org.objectweb.corba.generator.idl.api;

/** To use ArrayList. */
import java.util.ArrayList;

/** To access Vector. */
import java.util.Vector;


public interface IDL2Generator
         extends org.objectweb.corba.generator.idl.api.IDL3Generator
{
    /**
     * Initialize the generator.
     *
     * @param outputfile - The name where declarations will be generated.
     * @param outputfile_loacal - The file name to write local declarations in.
     * @param includes - files to include (with <file>).
     * @param userIncludes - user files to include (with "file").
     * @param app_name - The application's name.
     **/
    public void
    initialize( String outputfile,
                String outputfile_local,
                ArrayList includes,
                ArrayList userIncludes,
                String app_name );

    /**
     * Generates a vector of declarations.
     *
     * @param decls - Declarations to visit.
     **/
    public void
    generate(Vector decls)
    throws org.objectweb.corba.generator.common.lib.GenerationException;
}
