/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ________________________________________.

====================================================================*/

package org.objectweb.corba.generator.java.ast.lib;

import org.objectweb.corba.generator.java.ast.api.AbstractObject;

/**
 * This is a base class for java abstract objects.
 *
 * @author <a href="mailto:Christophe.Demarey@lifl.fr">Christophe Demarey</A>
 */

public class AbstractObjectImpl
  implements AbstractObject
{
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================

    /** The name */
    private boolean abstract_;

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /** The default constructor. */
    public
    AbstractObjectImpl()
    {
        // Init internal state
        abstract_ = false;
    }

    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================

    // ==================================================================
    //
    // Public methods.
    //
    // ==================================================================

    /**
     * Set abstract this object.
     *
     * @param b - The value to set.
     */
    public void
    setAbstract(boolean b)
    {
        abstract_ = b;
    }

    /**
     * Is this object abstract ?
     *
     * @return True if it is abstract, else false.
     */
    public boolean
    isAbstract()
    {
        return abstract_;
    }
}
