/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Jerome Offroy.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.util.monolog.provider.lib.topics;

/**
 * @author Jerome Offroy
 *
 *  class used to store a Topics defined in base code
 * 
 */
public class TopicsValue {
    
    /**
     * Refeference of the object to Trace
     */
    protected Class ref;
    
    /**
     * Topic name used to trace in the reference object
     */
    protected String name;
    
    /**
     * desription of the Trace-Object referenced
     */
    protected String[] description;



    /**
     * Constructor for TopicsValue.
     */
    public TopicsValue(Class ref, String name, String[] desccription) {
        this.setRef(ref);
        this.setName(name);
        this.setDescription(desccription);
    }

    /*********************************
     * Getter and setter
     *********************************/
    /**
     * Returns the description.
     * @return String[]
     */
    public String[] getDescription() {
        return description;
    }

    /**
     * Returns the name.
     * @return String
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the description.
     * @param description The description to set
     */
    public void setDescription(String[] description) {
        this.description = description;
    }

    /**
     * Sets the name.
     * @param name The name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Returns the ref.
     * @return Object
     */
    public Object getRef() {
        return ref;
    }

    /**
     * Sets the ref.
     * @param ref The ref to set
     */
    public void setRef(Class ref) {
        this.ref = ref;
    }

}